<template>
  <span class='price' ref='price'>{{ price }} &#8381;</span>
</template>

<script>
import { TweenLite } from 'gsap'

export default {
  name: 'Price',
  props: {
    price: {
      required: true,
      type: Number
    }
  },
  data () {
    return {
      fromColorUp: 'rgba(249, 17, 85, 1)',
      toColorUp: 'rgba(249, 17, 85, 0)',
      fromColorDown: 'rgba(17, 187, 136, 1)',
      toColorDown: 'rgba(17, 187, 136, 0)'
    }
  },
  watch: {
    price (newValue, oldValue) {
      if (newValue > oldValue) {
        TweenLite.fromTo(this.$refs.price, 1, { backgroundColor: this.fromColorUp }, { backgroundColor: this.toColorUp })
      }
      if (newValue < oldValue) {
        TweenLite.fromTo(this.$refs.price, 1, { backgroundColor: this.fromColorDown }, { backgroundColor: this.toColorDown })
      }
    }
  }
}
</script>
